<?php 

	include("config.php");
	require_once("phpexcel/PHPExcel.php");

	if (PHP_SAPI == 'cli')
    	die('Este archivo solo se puede ver desde un navegador web');
	
	// Se crea el objeto PHPExcel
	$objPHPExcel = new PHPExcel();

	$id_local = $_GET['id_local'];
	$id_proveedor = $_GET['id_proveedor'];
	$fecha1 = $_GET['fecha1'];
	$fecha2 = $_GET['fecha2'];

	$conexion = new mysqli($db_host,$db_user,$db_pass,$db_name);
	if (mysqli_connect_errno()) {
	   printf("La conexión con el servidor de base de datos falló: %s\n", mysqli_connect_error());
	   exit();
	}

	if ($id_proveedor == 0) {
		$consulta = 'SELECT p.nombre AS "Proveedor", p.numero_documento AS "NUM", DATE_FORMAT(fecha_compra, "%d-%m-%Y") AS "Fecha de Compra", tipo_comprobante, numero_comprobante, tipo_compra , total_compra AS "Monto S/", c.estado as c_estado FROM compras c INNER JOIN proveedores p ON c.id_proveedor = p.id_proveedor WHERE (c.created_at >= "'.$fecha1.' 00:00:00" AND c.created_at <= "'.$fecha2.' 23:59:59") AND id_local= "'.$id_local.'" ORDER BY fecha_compra ASC';
	}
	else{
		$consulta = 'SELECT p.nombre AS "Proveedor", p.numero_documento AS "NUM", DATE_FORMAT(fecha_compra, "%d-%m-%Y") AS "Fecha de Compra", tipo_comprobante, numero_comprobante, tipo_compra , total_compra AS "Monto S/" , c.estado as c_estado FROM compras c INNER JOIN proveedores p ON c.id_proveedor = p.id_proveedor WHERE (c.created_at >= "'.$fecha1.' 00:00:00" AND c.created_at <= "'.$fecha2.' 23:59:59") AND id_local= "'.$id_local.'" AND c.id_proveedor= "'.$id_proveedor.'" ORDER BY fecha_compra ASC';
	}
	

	$resultado = $conexion->query($consulta);

	if($resultado->num_rows > 0 ){

		// Propiedades del documento
		$objPHPExcel->getProperties()->setCreator("Seven")
									 ->setLastModifiedBy("Seven")
									 ->setTitle("Reporte de COMPRAS REALIZADAS")
									 ->setSubject("Reporte de COMPRAS REALIZADAS")
									 ->setDescription("Reporte de COMPRAS REALIZADAS")
									 ->setKeywords("office 2010 openxml php")
									 ->setCategory("Archivo con resultado de reporte");
		
		// Combino las celdas desde A1 hasta F1
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A1:H1');
		$objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('A1', 'REPORTE DE COMPRAS REALIZADAS ENTRE : '.$fecha1.' & '.$fecha2)
		            ->setCellValue('A2', 'ITEM')
		            ->setCellValue('B2', 'PROVEEDOR')
		            ->setCellValue('C2', 'RUC / DNI')
					->setCellValue('D2', 'FECHA DE COMPRA')
					->setCellValue('E2', 'COMPROBANTE')
					->setCellValue('F2', 'NUMERO')
					->setCellValue('G2', 'TIPO PAGO')
					->setCellValue('H2', 'INVERSION S/')
					->setCellValue('I2', 'ESTA ANULADO?');
					
		// Fuente de la primera fila en negrita
		$boldArray = array('font' => array('bold' => true,),'alignment' => array('horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER));
		$objPHPExcel->getActiveSheet()->getStyle('A1:I2')->applyFromArray($boldArray);


		//Ancho de las columnas
		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(80);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(15);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(20);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(20);
		$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(15);
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(15);
        $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(15);
        $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(20);
	
		$i = 3; //Numero de fila donde se va a comenzar a rellenar
		$suma = 0;
		$j = 1;
		while ($fila = $resultado->fetch_array()) {
			$objPHPExcel->setActiveSheetIndex(0)
			    ->setCellValue('A'.$i, $j)
			    ->setCellValue('B'.$i, utf8_encode($fila['Proveedor']))
			    ->setCellValue('C'.$i, $fila['NUM'])
			    ->setCellValue('D'.$i, $fila['Fecha de Compra'])
			    ->setCellValue('E'.$i, $fila['tipo_comprobante'])
			    ->setCellValue('F'.$i, utf8_encode($fila['numero_comprobante']))
			    ->setCellValue('G'.$i, $fila['tipo_compra'])
			    ->setCellValue('H'.$i, $fila['c_estado'] == 0 ? '0.00' : $fila['Monto S/'])
			    ->setCellValue('I'.$i, $fila['c_estado'] == 0 ? 'Si' : '');
			$i++;
			$j++;
			if ($fila['c_estado'] != 0) {
				$suma = $suma+$fila['Monto S/'];
			}
			//$suma = $suma+$fila['Monto S/'];
		}

		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('G'.$i, "TOTAL");
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('H'.$i, $suma);
		$objPHPExcel->getActiveSheet()->getStyle('G'.$i)->getFont()->setBold(true);
		$objPHPExcel->getActiveSheet()->getStyle('H'.$i)->getFont()->setBold(true);
		$objPHPExcel->getActiveSheet()->getStyle('H3:H'.$i)->getNumberFormat()->setFormatCode('0.00');

		$i = $i-1;
		$H = "I".$i;
		$rango = "A2:$H";
		$styleArray = array('font' => array( 'name' => 'Arial','size' => 10),
		'borders'=>array('allborders'=>array('style'=> PHPExcel_Style_Border::BORDER_THIN,'color'=>array('argb' => 'FFF')))
		);
		$objPHPExcel->getActiveSheet()->getStyle($rango)->applyFromArray($styleArray);

		// Cambiar el nombre de hoja de cálculo
		$objPHPExcel->getActiveSheet()->setTitle('Reporte de Compras');

		// Establecer índice de hoja activa a la primera hoja , por lo que Excel abre esto como la primera hoja
		$objPHPExcel->setActiveSheetIndex(0);

		// Se manda el archivo al navegador web, con el nombre que se indica, en formato 2007
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="Reporte_Compras.xlsx"');
		header('Cache-Control: max-age=0');
		 
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		exit;

	}
	else{
	    print_r('No hay resultados para mostrar');
	}



	






